For the complete documentation index, see llms.txt. This page is also available as Markdown.

UserService

Manage user information.

Operations

getUser

post

Retrieves information about a user.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
UserNumberintegerRequired

The user number for the activity.

Responses
200

Successful operation.

application/json
post/getUser
POST /nexum/627/2022.01/user/getUser HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 153

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 1995,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "User": {
    "ActiveMode": 0,
    "Name": "NAAS PLAYGROUND",
    "Number": 1995,
    "Type": null,
    "ActivityList": null,
    "UserTrackingList": null
  },
  "MessageId": "getUser"
}

getUserSelectFields

post

Retrieves information about a user with selected fields.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
UserNumberintegerRequired

The user number for the activity.

Responses
200

Successful operation.

application/json
post/getUserSelectFields
POST /nexum/627/2022.01/user/getUserSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 316

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 1995,
  "SelectableFields": {
    "IncludeAllUserFields": false,
    "UserFields": {
      "Number": true,
      "Name": true,
      "Type": true,
      "ActiveMode": true,
      "LastLogonDate": true,
      "LastLogonTime": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "User": {
    "ActiveMode": 0,
    "LastLogonDate": "2025-07-05",
    "LastLogonTime": 1806,
    "Name": "NAAS PLAYGROUND",
    "Number": 1995,
    "Type": 0
  },
  "MessageId": "getUserSelectFields"
}

getUserSelectFieldsFilterChildren

post

Retrieves information about a user with selected fields and filters children.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
UserNumberintegerRequired

The user number for the activity.

Responses
200

Successful operation.

application/json
post/getUserSelectFieldsFilterChildren
POST /nexum/627/2022.01/user/getUserSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 641

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 1995,
  "SelectableFields": {
    "IncludeAllUserFields": false,
    "UserFields": {
      "Number": true,
      "Name": true,
      "Type": true,
      "ActiveMode": true
    },
    "ActivitySelectableFields": {
      "IncludeAllActivityFields": false,
      "ActivityFields": {
        "UserNumber": true,
        "Date": true,
        "Time": true,
        "Console": true
      }
    },
    "UserTrackingSelectableFields": {
      "IncludeAllUserTrackingFields": false,
      "UserTrackingFields": {
        "Locator": true,
        "Type": true,
        "CreationDate": true
      }
    }
  },
  "ChildrenSearchFilter": {
    "ActivityFilter": {
      "Query": ""
    },
    "UserTrackingFilter": {
      "Query": ""
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "User": {
    "ActiveMode": 0,
    "Name": "NAAS PLAYGROUND",
    "Number": 1995,
    "Type": 0,
    "ActivityList": null,
    "UserTrackingList": null
  },
  "MessageId": "getUserSelectFieldsFilterChildren"
}

getActivityPagedList

post

Retrieves a paged list of activities.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
UserNumberintegerRequired

The user number for the activity.

Responses
200

Successful operation.

application/json
TokenstringOptional

The tokenized value for the activity.

post/getActivityPagedList
POST /nexum/627/2022.01/user/getActivityPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 232

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 1995,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Activity": [],
  "Token": null,
  "MessageId": "getActivityPagedList"
}

getActivityListSelectFields

post

Retrieves a list of selected fields for activities.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
UserNumberintegerRequired

The user number for the activity.

Responses
200

Successful operation.

application/json
post/getActivityListSelectFields
POST /nexum/627/2022.01/user/getActivityListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 283

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 1995,
  "SelectableFields": {
    "IncludeAllActivityFields": false,
    "ActivityFields": {
      "UserNumber": true,
      "Date": true,
      "Time": true,
      "Console": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "ActivityList": null,
  "MessageId": "getActivityListSelectFields"
}

searchActivitySelectFields

post

Searches activities with selected fields.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
UserNumberintegerRequired

The user number for the activity.

Responses
200

Successful operation.

application/json
post/searchActivitySelectFields
POST /nexum/627/2022.01/user/searchActivitySelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 311

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 1995,
  "SearchFilter": {
    "Query": ""
  },
  "SelectableFields": {
    "IncludeAllActivityFields": false,
    "ActivityFields": {
      "UserNumber": true,
      "Date": true,
      "Time": true,
      "Console": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "ActivityList": null,
  "MessageId": "searchActivitySelectFields"
}

getActivityPagedListSelectFields

post

Retrieves a paged list of selected fields for activities.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
UserNumberintegerRequired

The user number for the activity.

Responses
200

Successful operation.

application/json
TokenstringOptional

The tokenized value for the activity.

post/getActivityPagedListSelectFields
POST /nexum/627/2022.01/user/getActivityPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 407

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 1995,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 3,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllActivityFields": false,
    "ActivityFields": {
      "UserNumber": true,
      "Date": true,
      "Time": true,
      "Branch": true,
      "Console": true,
      "Session": true,
      "HelpCode": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Activity": [],
  "Token": null,
  "MessageId": "getActivityPagedListSelectFields"
}

searchActivityPagedSelectFields

post

Searches activities with pagination and selected fields.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
UserNumberintegerRequired

The user number for the activity.

QuerystringRequired

The filtering query string.

Responses
200

Successful operation.

application/json
TokenstringOptional

The tokenized value for the activity.

post/searchActivityPagedSelectFields
POST /nexum/627/2022.01/user/searchActivityPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 296

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 1995,
  "Query": "",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllActivityFields": true
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Activity": [],
  "Token": null,
  "MessageId": "searchActivityPagedSelectFields"
}

getUserTracking

post

Retrieves information about user tracking.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
UserNumberintegerRequired

The user number for the activity.

UserTrackingLocatorintegerRequired

The locator for user tracking.

Responses
200

Successful operation.

application/json
post/getUserTracking
POST /nexum/627/2022.01/user/getUserTracking HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 177

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 1234,
  "UserTrackingLocator": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UserTracking": {
    "CreationDate": "2010-05-08",
    "CreationTime": 710,
    "FmLastDate": "2010-05-08",
    "Locator": 1,
    "RecordChangeDate": "2010-05-08",
    "TrackingCode": 1,
    "Type": 0,
    "UserChar1": "NAAS WAVE1",
    "UserCode1": 1,
    "UserId": 800
  },
  "MessageId": "getUserTracking"
}

getUserTrackingSelectFields

post

Retrieves information about user tracking with selected fields.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
UserNumberintegerRequired

The user number for the activity.

UserTrackingLocatorintegerRequired

The locator for user tracking.

Responses
200

Successful operation.

application/json
post/getUserTrackingSelectFields
POST /nexum/627/2022.01/user/getUserTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 327

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 1234,
  "UserTrackingLocator": 1,
  "SelectableFields": {
    "IncludeAllUserTrackingFields": false,
    "UserTrackingFields": {
      "Locator": true,
      "TrackingCode": true,
      "UserChar1": true,
      "UserCode1": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UserTracking": {
    "Locator": 1,
    "TrackingCode": 1,
    "UserChar1": "NAAS WAVE1",
    "UserCode1": 1
  },
  "MessageId": "getUserTrackingSelectFields"
}

getUserTrackingPagedList

post

Retrieves a paged list of user tracking.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
UserNumberintegerRequired

The user number for the activity.

Responses
200

Successful operation.

application/json
TokenstringOptional

The tokenized value for the activity.

post/getUserTrackingPagedList
POST /nexum/627/2022.01/user/getUserTrackingPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 232

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 1995,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UserTracking": [],
  "Token": null,
  "MessageId": "getUserTrackingPagedList"
}

getUserTrackingListSelectFields

post

Retrieves a list of selected fields for user tracking.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
UserNumberintegerRequired

The user number for the activity.

Responses
200

Successful operation.

application/json
post/getUserTrackingListSelectFields
POST /nexum/627/2022.01/user/getUserTrackingListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 281

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 1995,
  "SelectableFields": {
    "IncludeAllUserTrackingFields": false,
    "UserTrackingFields": {
      "Locator": true,
      "Type": true,
      "CreationDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UserTrackingList": null,
  "MessageId": "getUserTrackingListSelectFields"
}

searchUserTrackingSelectFields

post

Searches user tracking with selected fields.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
UserNumberintegerRequired

The user number for the activity.

Responses
200

Successful operation.

application/json
post/searchUserTrackingSelectFields
POST /nexum/627/2022.01/user/searchUserTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 309

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 1995,
  "SearchFilter": {
    "Query": ""
  },
  "SelectableFields": {
    "IncludeAllUserTrackingFields": false,
    "UserTrackingFields": {
      "Locator": true,
      "Type": true,
      "CreationDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UserTrackingList": null,
  "MessageId": "searchUserTrackingSelectFields"
}

getUserTrackingPagedListSelectFields

post

Retrieves a paged list of selected fields for user tracking.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
UserNumberintegerRequired

The user number for the activity.

Responses
200

Successful operation.

application/json
TokenstringOptional

The tokenized value for the activity.

post/getUserTrackingPagedListSelectFields
POST /nexum/627/2022.01/user/getUserTrackingPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 418

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 1995,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 3,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllUserTrackingFields": false,
    "UserTrackingFields": {
      "Locator": true,
      "Type": true,
      "UserId": true,
      "CreationDate": true,
      "CreationTime": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UserTracking": [],
  "Token": null,
  "MessageId": "getUserTrackingPagedListSelectFields"
}

searchUserTrackingPagedSelectFields

post

Searches user tracking with pagination and selected fields.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
UserNumberintegerRequired

The user number for the activity.

QuerystringOptional

The filtering query string.

Responses
200

Successful operation.

application/json
TokenstringOptional

The tokenized value for the activity.

post/searchUserTrackingPagedSelectFields
POST /nexum/627/2022.01/user/searchUserTrackingPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 300

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 1995,
  "Query": "",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllUserTrackingFields": true
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UserTracking": [],
  "Token": null,
  "MessageId": "searchUserTrackingPagedSelectFields"
}

updateUserByID

post

Updates user information based on ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
UserNumberintegerRequired

The user number for the activity.

Responses
200

Successful operation.

application/json
post/updateUserByID
POST /nexum/627/2022.01/user/updateUserByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 200

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 1234,
  "UserUpdatableFields": {
    "Location": "NAAS TEST"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateUserByID"
}

updateUserTrackingByID

post

Updates user tracking information based on ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
UserTrackingLocatorintegerRequired

The locator for user tracking.

UserNumberintegerRequired

The user number for the activity.

Responses
200

Successful operation.

application/json
post/updateUserTrackingByID
POST /nexum/627/2022.01/user/updateUserTrackingByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 256

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 1234,
  "UserTrackingLocator": 1,
  "UserTrackingUpdatableFields": {
    "UserChar1": "NAAS WAVE1 UPDATED",
    "UserCode1": 2
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateUserTrackingByID"
}

createUserTracking

post

Creates a new record for user tracking.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
UserNumberintegerRequired

The user number for the activity.

Responses
200

Successful operation.

application/json
UserTrackingLocatorintegerOptional

The locator for user tracking.

post/createUserTracking
POST /nexum/627/2022.01/user/createUserTracking HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 241

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 1234,
  "UserTrackingCreatableFields": {
    "TrackingCode": 1,
    "UserChar1": "NAAS WAVE1",
    "UserCode1": 1
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UserTrackingLocator": 1,
  "MessageId": "createUserTracking"
}

deleteUserTracking

post

Deletes a record for user tracking.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
UserNumberintegerRequired

The user number for the activity.

UserTrackingLocatorintegerRequired

The locator for user tracking.

Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deleteUserTracking
POST /nexum/627/2022.01/user/deleteUserTracking HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 177

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "UserNumber": 1234,
  "UserTrackingLocator": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "MessageId": "deleteUserTracking"
}

Last updated

Was this helpful?